//
// Generated by SwagGen
// https://github.com/yonaskolb/SwagGen
//

import Foundation
import JSONUtilities

public class Credentials: JSONDecodable, JSONEncodable, PrettyPrintable {

    public var idFoyer: String?

    public var password: String?

    public init(idFoyer: String? = nil, password: String? = nil) {
        self.idFoyer = idFoyer
        self.password = password
    }

    public required init(jsonDictionary: JSONDictionary) throws {
        idFoyer = jsonDictionary.json(atKeyPath: "idFoyer")
        password = jsonDictionary.json(atKeyPath: "password")
    }

    public func encode() -> JSONDictionary {
        var dictionary: JSONDictionary = [:]
        if let idFoyer = idFoyer {
            dictionary["idFoyer"] = idFoyer
        }
        if let password = password {
            dictionary["password"] = password
        }
        return dictionary
    }

    /// pretty prints all properties including nested models
    public var prettyPrinted: String {
        return "\(Swift.type(of: self)):\n\(encode().recursivePrint(indentIndex: 1))"
    }
}
